package com.liquidnet.common.sms.constant;

public class SmsEnum {
    /**
     * AD:AliyunDysms
     * 短信签名
     */
    public enum ADSignName {
        M01("摩登天空"),
        M02("正在现场"),
        M03("新血计划"),
        M04("摩登小家伙"),
        M05("五百里Live")
        ;
        private final String val;

        ADSignName(String val) {
            this.val = val;
        }

        public String getVal() {
            return val;
        }
    }

    /**
     * AD:AliyunDysms
     * 短信模版
     */
    public enum ADTemplate {
        /**
         * 验证码:验证码
         * - 您的验证码是：${code}。该验证码1分钟内有效，请不要把验证码泄露给其他人。
         * - "{\"code\":\"?1\"}"
         */
        SMS_221055862,
        /**
         * 验证码:验证码
         * - 您的验证码是：${code}。该验证码15分钟内有效，请不要把验证码泄露给其他人。
         * - "{\"code\":\"?1\"}"
         */
        SMS_109535335,
        /**
         * 短信通知:快递票购票成功通知
         * - 您已成功购买${name}门票。可至个人中心查看订单，个人中心地址:http://t.cn/ExMlr1B。演出${time}开始。请注意查收快递并保管门票，现场持票入场。咨询电话:4001680650。
         */
        SMS_181490473,
        /**
         * 购票成功通知短信
         * - 您已成功购买${name}门票。可至个人中心查看订单(http://t.cn/ExMlr1B)。演出${time}开始。咨询电话:4001680650。
         */
        SMS_171358560,
        /**
         * 身份证电子票购票成功通知
         * - 您已成功购买${name}门票。可至个人中心查看订单，个人中心地址:http://t.cn/ExMlr1B。演出${time}开始。请持购票人身份证到现场取票。咨询电话:4001680650。
         */
        SMS_181500419,
        ;
    }
}
